# LinkedIn Jobs API

Here is the list of default parameters you can use with this API:&#x20;

|                            Parameter                            |                                                                                                                                                                                                           Description                                                                                                                                                                                                           |
| :-------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> |                                                                                                                                                                                                      This is your API key.                                                                                                                                                                                                      |
|     <p>q<br><br><mark style="color:red;">required</mark></p>    |                                                                                                                                                                     <p>Type: <code>String</code><br><br>LinkedIn Query you want to get job results for.</p>                                                                                                                                                                     |
|   <p>geoId<br><br><mark style="color:red;">required</mark></p>  |                                                                                                                                                                               <p>Type: <code>Number</code><br><br>The geo Id of the location.</p>                                                                                                                                                                               |
|                               page                              |                                                                                                           <p>Type: <code>Number(Integer)</code><br><code>\[0,1,2....]</code><br><br>Default: <code>0</code><br>(Enter 1 for 2nd-page results, 2 for 3rd, etc .)<br>The page number to get targeted search results.</p>                                                                                                          |
|                            job\_type                            |                                     <p>Type: <code>String</code><br><br>The job type you want to search for.<br><br>Values: <em><strong><code>temporary</code></strong></em>, <em><strong><code>contract</code></strong></em>, <em><strong><code>volunteer</code></strong></em>, <em><strong><code>full\_time</code></strong></em> or <em><strong><code>part\_time</code></strong></em>.</p>                                    |
|                             sort\_by                            |                                                                         <p>Type: <code>String</code><br><br>The <code>sort\_by</code> parameter requests job results from a specified period.<br><br>Values: <em><strong><code>day</code></strong></em>, <em><strong><code>week</code></strong></em> or <em><strong><code>month</code></strong></em></p>                                                                        |
|                            exp\_level                           | <p>Type: <code>String</code><br><br>The <code>exp\_level</code> parameter will request job results for a particular experience level.<br><br>Values: <em><strong><code>internship</code></strong></em>, <em><strong><code>entry\_level</code></strong></em>, <em><strong><code>associate</code></strong></em>, <em><strong><code>mid\_senior\_level</code></strong></em> or <em><strong><code>director</code></strong></em></p> |
|                            work\_type                           |                                                          <p>Type: <code>String</code><br><br>The <code>work\_type</code> parameter will request job results for a particular operational structure.<br><br>Values: <em><strong><code>at\_work</code></strong></em>, <em><strong><code>remote</code></strong></em>, & <em><strong><code>hybrid</code></strong></em></p>                                                          |

**Note: Each LinkedIn Jobs API call will cost you 5 request credits.**

### API Example:

{% tabs %}
{% tab title="cURL" %}

```json
cURL "https://api.serpdog.io/linkedin_jobs?api_key=APIKEY&q=vice+president+of+engineering&job_type=full_time&sort_by=day&exp_level=director&geoId=41860"
```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

axios.get('https://api.serpdog.io/linkedin_jobs?api_key=APIKEY&q=vice+president+of+engineering&job_type=full_time&sort_by=day&exp_level=director&geoId=41860')
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

payload = {
    'api_key': 'APIKEY',
    'q': 'vice president of engineering',
    'job_type': 'full_time',
    'sort_by': 'day',
    'exp_level': 'director',
    'geoId': '41860'
}

resp = requests.get('https://api.serpdog.io/linkedin_jobs', params=payload)

print(resp.text)

```

{% endtab %}

{% tab title="Java" %}

```java
try {
 String url = "https://api.serpdog.io/linkedin_jobs?api_key=APIKEY&q=vice+president+of+engineering&job_type=full_time&sort_by=day&exp_level=director&geoId=41860";
 URL urlForGetRequest = new URL(url);
 String readLine = null;
 HttpURLConnection conection = (HttpURLConnection) urlForGetRequest.openConnection();
 conection.setRequestMethod("GET");
 int responseCode = conection.getResponseCode();
 if (responseCode == HttpURLConnection.HTTP_OK) {
 BufferedReader in = new BufferedReader(new InputStreamReader(conection.getInputStream()));
 StringBuffer response = new StringBuffer();
 while ((readLine = in.readLine()) != null) {
 response.append(readLine);
 }
 in.close();
 System.out.println(response.toString());
} else {
 throw new Exception("Error in API Call");
 }
} catch (Exception ex) {
 ex.printStackTrace();
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'

params = {
  api_key: "APIKEY",
  q: "vice president of engineering",
  job_type: "full_time",
  sort_by: "day",
  exp_level: "director",
  geoId: "41860"
}

uri = URI('https://api.serpdog.io/linkedin_jobs')
uri.query = URI.encode_www_form(params)

website_content = Net::HTTP.get(uri)

puts website_content
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "https://api.serpdog.io/linkedin_jobs?api_key=APIKEY&q=vice+president+of+engineering&job_type=full_time&sort_by=day&exp_level=director&geoId=41860";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
print_r($response);
```

{% endtab %}
{% endtabs %}

```json
{
  "meta": {
    "api_key": "APIKEY",
    "q": "vice president of engineering",
    "job_type": "full_time",
    "sort_by": "day",
    "exp_level": "director",
    "geoId": "41860"
  },
    "job_results": [
    {
      "job_position": "Director of Engineering - Medical Device",
      "job_link": "https://www.linkedin.com/jobs/view/director-of-engineering-medical-device-at-henderson-scott-3737541639?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=tzLoSDEhkjWxrlKaqg07Aw%3D%3D&position=1&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3737541639",
      "company_name": "Henderson Scott",
      "company_profile": "https://uk.linkedin.com/company/hendersonscott?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "California, United States",
      "job_posting_date": "2024-04-25"
    },
    {
      "job_position": "Director Engineering Leader",
      "job_link": "https://uk.linkedin.com/jobs/view/director-engineering-leader-at-te-connectivity-3907132025?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=okh4u1KWjtolPzvKHkoX2A%3D%3D&position=2&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3907132025",
      "company_name": "TE Connectivity",
      "company_profile": "https://ch.linkedin.com/company/te-connectivity?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Swindon, England, United Kingdom",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director of Engineering",
      "job_link": "https://de.linkedin.com/jobs/view/director-of-engineering-at-hellofresh-3906879616?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=rTJRWL250AEal%2BFCXWhUvA%3D%3D&position=3&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3906879616",
      "company_name": "HelloFresh",
      "company_profile": "https://de.linkedin.com/company/hellofresh?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Berlin, Berlin, Germany",
      "job_posting_date": "2024-04-25"
    },
    {
      "job_position": "Director of Engineering",
      "job_link": "https://www.linkedin.com/jobs/view/director-of-engineering-at-newfront-3899918539?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=mSbMTu4WTq4TM%2Fm4NFy%2F3g%3D%3D&position=4&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3899918539",
      "company_name": "Newfront",
      "company_profile": "https://www.linkedin.com/company/newfront?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "United States",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director of Engineering",
      "job_link": "https://www.linkedin.com/jobs/view/director-of-engineering-at-10x-health-system-3795998378?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=yWnZwwChnP3utffeI3oe4A%3D%3D&position=5&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3795998378",
      "company_name": "10X Health System",
      "company_profile": "https://www.linkedin.com/company/10x-health-system?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Aventura, FL",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director - Structural Engineering",
      "job_link": "https://uk.linkedin.com/jobs/view/director-structural-engineering-at-energy-jobline-3909742434?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=b3QcmYmuanWj2DdIN%2BBLzw%3D%3D&position=6&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3909742434",
      "company_name": "Energy Jobline",
      "company_profile": "https://uk.linkedin.com/company/energy-jobline?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "London, England, United Kingdom",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director, Engineering - Fenestration",
      "job_link": "https://www.linkedin.com/jobs/view/director-engineering-fenestration-at-associated-materials-3901052048?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=EoyXhIdWhrar7pMMJ%2Fx%2BIQ%3D%3D&position=7&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3901052048",
      "company_name": "Associated Materials",
      "company_profile": "https://www.linkedin.com/company/associatedmaterials?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Cuyahoga Falls, OH",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "",
      "job_link": "https://www.linkedin.com/jobs/view/director-of-engineering-at-skywater-technology-3885980657?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=t22vQlSsk8RSFiqYvCgfpw%3D%3D&position=8&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3885980657",
      "company_name": "SkyWater Technology",
      "job_location": "Bloomington, MN",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director of Engineering, Uncrewed and Advanced Aviation",
      "job_link": "https://www.linkedin.com/jobs/view/director-of-engineering-uncrewed-and-advanced-aviation-at-foreflight-3878620110?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=IeF6ORqzG4qYUmy9ikTJRw%3D%3D&position=9&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3878620110",
      "company_name": "ForeFlight",
      "company_profile": "https://www.linkedin.com/company/foreflight?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Portland, ME",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director, Engineering - Enterprise Continuous Integration",
      "job_link": "https://www.linkedin.com/jobs/view/director-engineering-enterprise-continuous-integration-at-travelers-3882267727?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=%2BssFvsj4ClYMPd16sXLBWQ%3D%3D&position=10&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3882267727",
      "company_name": "Travelers",
      "company_profile": "https://www.linkedin.com/company/travelers?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Hartford, CT",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director, Data Engineering Lead",
      "job_link": "https://www.linkedin.com/jobs/view/director-data-engineering-lead-at-travelers-3780873084?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=wlmO6QtuX10KliKbOEpC6A%3D%3D&position=11&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3780873084",
      "company_name": "Travelers",
      "company_profile": "https://www.linkedin.com/company/travelers?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Hartford, CT",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Dirección de Ingenieria",
      "job_link": "https://mx.linkedin.com/jobs/view/direcci%C3%B3n-de-ingenieria-at-confidencial-3906894755?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=U6j56hLIXmdXSi4pUia%2BVg%3D%3D&position=12&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3906894755",
      "company_name": "Confidencial",
      "company_profile": "https://www.linkedin.com/company/confidencial-2003?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Mexico City, Mexico",
      "job_posting_date": "2024-04-25"
    },
    {
      "job_position": "Analog Engineering Director for a premier chip and silicon IP Provider company in Atlanta, GA",
      "job_link": "https://www.linkedin.com/jobs/view/analog-engineering-director-for-a-premier-chip-and-silicon-ip-provider-company-in-atlanta-ga-at-osi-engineering-3852159332?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=myUiDcTBqO0CSlcOSCgGNA%3D%3D&position=13&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3852159332",
      "company_name": "OSI Engineering",
      "company_profile": "https://www.linkedin.com/company/osi-engineering-inc.?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Atlanta, GA",
      "job_posting_date": "2024-04-26"
    },
    {
      "job_position": "Director, Scientific Content Engineering/Data Science, QDI",
      "job_link": "https://www.linkedin.com/jobs/view/director-scientific-content-engineering-data-science-qdi-at-qiagen-3889545872?refId=ERv97eZjitxMMbOAWbRVTA%3D%3D&trackingId=9iUn8DGEfySFAASOtWV3qw%3D%3D&position=14&pageNum=0&trk=public_jobs_jserp-result_search-card",
      "job_id": "3889545872",
      "company_name": "QIAGEN",
      "company_profile": "https://nl.linkedin.com/company/qiagen?trk=public_jobs_jserp-result_job-search-card-subtitle",
      "job_location": "Redwood City, CA",
      "job_posting_date": "2024-04-26"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.serpdog.io/linkedin-jobs-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
